***

title: get
slug: /reference/typescript/rest/fabric/cxml-applications/get
description: Retrieve a single cXML application resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single cXML application resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/cxml_applications/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/cxml_applications/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const app = await client.fabric.cxmlApplications.get("app-id");
console.log("cXML Application:", app.display_name, "ID:", app.id);
```